Subject: Re: [PATCH net-next 0/3] Remove some unused phylink legacy

From: [email-masked]
Date: Tue, 18 Jul 2023 08:00:22 +0000

Hello:

This series was applied to netdev/net-next.git (main)
by Paolo Abeni <[email-masked]>:

On Fri, 14 Jul 2023 10:11:31 +0100 you wrote:
> Hi,
> 
> I believe we are now in a position where some of the legacy phylink code
> can be removed!
> 
> I believe that all DSA drivers do not make use of any pre-March 2020
> phylink behaviour - all drivers now seem to set legacy_pre_march2020 to
> false, and the conditions that DSA sets it to true are no longer
> satisifed by any driver.
> 
> [...]

Here is the summary with links:
  - [net-next,1/3] net: dsa: remove legacy_pre_march2020 detection
    https://git.kernel.org/netdev/net-next/c/a88dd7538461
  - [net-next,2/3] net: dsa: remove legacy_pre_march2020 from drivers
    https://git.kernel.org/netdev/net-next/c/8f42c07fb0f2
  - [net-next,3/3] net: phylink: remove legacy mac_an_restart() method
    https://git.kernel.org/netdev/net-next/c/76226787e137

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html